Subject: Re: [PATCH net v2 3/3] packet: fix tpacket_snd max frame and vlan handling

From: Daniel Borkmann <[email-masked]>
Date: Wed, 11 Nov 2015 23:39:41 +0100

On 11/11/2015 03:56 PM, Willem de Bruijn wrote:
> On Tue, Nov 10, 2015 at 6:51 PM, Daniel Borkmann <[email-masked]> wrote:
...
>> Saw that, so we need the check as one more fix for 57f89bfa2140 ("network:
>> Allow af_packet to transmit +4 bytes for VLAN packets.") as well.
>>
>> I'll see to respin a v3 tomorrow.
>
> Thanks, Daniel.
>
> The three existing uses of eth_hdr were applied in 2.6.39, 3.12 and 3.15.
> We probably need a patch per occurrence to allow backporting to the
> relevant stable branches. I can create the fixes independent from your
> patch set, if you prefer.

Thanks, I've pushed the new set out for review with the 3rd patch simplified
quite a bit. I think we could let this linger a bit in -net first, and in
case backporting help would be needed, happy to jump in.

Best & thanks,
Daniel